Permalink
Commits on May 6, 2011
  1. prep for rc6

    dchelimsky committed May 6, 2011
  2. prep for 2.6.0.rc5

    dchelimsky committed May 6, 2011
  3. Relax the dependencies on rails gems to >= 3.0

    - Closes #364.
    joelmoss committed with dchelimsky May 6, 2011
  4. Define name before subclassing in anonymous controller spec

    - this is necessary because Rails 3.1 relies on name in an inherited
      hook.
    dchelimsky committed May 6, 2011
Commits on May 5, 2011
  1. Support controller specs with both Rails 3.0 and 3.1

    - also removed a couple of cukes that are obsolete in 3.1
    dchelimsky committed May 5, 2011
Commits on May 4, 2011
  1. changelog

    dchelimsky committed May 4, 2011
  2. centralize Capybara config

    dchelimsky committed May 4, 2011
  3. Require capybara after rspec/rails/example

    Otherwise Capybara's includes are not set correctly.
    
    - Closes #360
    - Closes #362
    be9 committed with dchelimsky May 3, 2011
Commits on May 1, 2011
  1. bump to 2.6.0.rc4

    dchelimsky committed May 1, 2011
  2. changelog tweaks

    dchelimsky committed May 1, 2011
Commits on Apr 30, 2011
  1. prep for 2.6.0.rc3

    dchelimsky committed Apr 30, 2011
Commits on Apr 29, 2011
  1. changelog

    dchelimsky committed Apr 29, 2011
  2. Refactor controller/view_paths extensions for view isolation

    - handle both Strings and PathSets passed to append_view_path or
      prepend_view_path
    dchelimsky committed Apr 29, 2011
Commits on Apr 28, 2011
  1. Override append/prepend_view_paths in controller specs

    - inject rspec-rails' path delegator resolver
    - Closes #359.
    amerine committed with dchelimsky Apr 28, 2011
Commits on Apr 26, 2011
  1. doc update

    dchelimsky committed Apr 26, 2011
Commits on Apr 25, 2011
  1. Update Capybara integration to support 0.4 and 1.0

    - this adds capybara matchers to view and helper specs
    - Closes #302.
    dchelimsky committed Apr 25, 2011
Commits on Apr 24, 2011
  1. run one travis build until we get it passing - then we can add the ot…

    …her ruby and rails versions back in
    dchelimsky committed Apr 24, 2011
  2. gotta try the setup again\!

    dchelimsky committed Apr 24, 2011
  3. remove obsolete require

    dchelimsky committed Apr 24, 2011
  4. changelog

    dchelimsky committed Apr 24, 2011
  5. simplify

    dchelimsky committed Apr 24, 2011
  6. on one line, please

    dchelimsky committed Apr 24, 2011